
from enum import Enum, auto
from dataclasses import dataclass


@dataclass(frozen=True)
class LabeledFid:
    fid: int
    label: object  # può essere str/int/float/None

    def __str__(self) -> str:
        # sempre stringa, anche se label è numerica o None
        return "" if self.label is None else str(self.label)


class ProfileSource(Enum):
    """
    The profile source type.
    """

    UNDEFINED  = auto()
    LINE_LAYER = auto()
    DIGITATION = auto()
    POINT_LIST = auto()
    GPX_FILE   = auto()


